Notification handlers
GET https://25url.com/api/notification-handlers/
curl --request GET \
--url 'https://25url.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| search | اختياري سلسلة | سلسلة البحث. |
| search_by | اختياري سلسلة | في أي حقل تبحث؟ القيم المسموح بها هي: name. |
| is_enabled | اختياري قيمة بولية | |
| type | اختياري سلسلة | في أي حقل تبحث؟ القيم المسموح بها هي: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | اختياري سلسلة | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري سلسلة | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختياري سلسلة | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختياري سلسلة | بالحقل الذي سيتم ترتيب النتائج حسبه. القيم المسموح بها هي: notification_handler_id, datetime, last_datetime, name. |
| order_type | اختياري سلسلة | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، و DESC للترتيب التنازلي. |
| search | اختياري سلسلة | سلسلة البحث. |
| search_by | اختياري سلسلة | في أي حقل تبحث؟ القيم المسموح بها هي: name. |
| is_enabled | اختياري قيمة بولية | |
| type | اختياري سلسلة | في أي حقل تبحث؟ القيم المسموح بها هي: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | اختياري سلسلة | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري سلسلة | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختياري سلسلة | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختياري سلسلة | بالحقل الذي سيتم ترتيب النتائج حسبه. القيم المسموح بها هي: notification_handler_id, datetime, last_datetime, name. |
| order_type | اختياري سلسلة | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، و DESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي ترغب في الحصول على النتائج منها. الافتراضي هو 1 |
| results_per_page | اختياري عدد صحيح | كم عدد النتائج التي ترغب في عرضها في كل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-04 14:58:48",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://25url.com/api/notification-handlers?page=1",
"last": "https://25url.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://25url.com/api/notification-handlers?page=1"
}
}
GET https://25url.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-04 14:58:48",
}
}
POST https://25url.com/api/notification-handlers
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| name | مطلوب سلسلة | - |
| type | مطلوب سلسلة | القيم المسموح بها: email, webhook, slack, discord, telegram, microsoft_teams |
| اختياري سلسلة | متوفر عندما: type = email notification_handlers.email | |
| webhook | اختياري سلسلة | متوفر عندما: type = webhook notification_handlers.webhook |
| slack | اختياري سلسلة | متوفر عندما: type = slack notification_handlers.slack |
| discord | اختياري سلسلة | متوفر عندما: type = discord notification_handlers.discord |
| telegram | اختياري سلسلة | متوفر عندما: type = telegram notification_handlers.telegram |
| telegram_chat_id | اختياري سلسلة | متوفر عندما: type = telegram notification_handlers.telegram_chat_id |
| microsoft_teams | اختياري سلسلة | متوفر عندما: type = microsoft_teams notification_handlers.microsoft_teams |
curl --request POST \
--url 'https://25url.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://25url.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://25url.com/api/notification-handlers/{notification_handler_id}
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| name | اختياري سلسلة | - |
| type | اختياري سلسلة | القيم المسموح بها: email, webhook, slack, discord, telegram, microsoft_teams |
| اختياري سلسلة | متوفر عندما: type = email notification_handlers.email | |
| webhook | اختياري سلسلة | متوفر عندما: type = webhook notification_handlers.webhook |
| slack | اختياري سلسلة | متوفر عندما: type = slack notification_handlers.slack |
| discord | اختياري سلسلة | متوفر عندما: type = discord notification_handlers.discord |
| telegram | اختياري سلسلة | متوفر عندما: type = telegram notification_handlers.telegram |
| telegram_chat_id | اختياري سلسلة | متوفر عندما: type = telegram notification_handlers.telegram_chat_id |
| microsoft_teams | اختياري سلسلة | متوفر عندما: type = microsoft_teams notification_handlers.microsoft_teams |
| is_enabled | اختياري قيمة بولية | - |
curl --request POST \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://25url.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \